 <?php
	include 'C:\Program Files\MapGuideOpenSource2.0\WebServerExtensions\www\mapviewerphp\Constants.php';
	MgInitializeWebTier('C:\Program Files\MapGuideOpenSource2.0\WebServerExtensions\www\webconfig.ini');
	
	// Establish a connection with a MapGuide site.
	$user = new MgUserInformation('Administrator', 'admin');
	$siteConnection = new MgSiteConnection();
	$siteConnection->Open($user);
	// Create a session repository
	$site = $siteConnection->GetSite();
	$sessionID = $site->CreateSession();
	$user->SetMgSessionId($sessionID);
	// Get an instance of the required services.
	$resourceService = $siteConnection->CreateService(MgServiceType::ResourceService);
	$featureService = $siteConnection->CreateService(MgServiceType::FeatureService);
	
	
    $featureSourceName = 'Library://Samples/Sheboygan/Data/Rail.FeatureSource';
	$resourceIdentifier = new MgResourceIdentifier($featureSourceName);
	
	
	$layerClassName="Rail3"; // Real class Name is "Rail"
	
	$propertyCollection = new MgPropertyCollection();
	$featIdProp = new MgInt32Property("id",0);
	$propertyCollection->Add($featIdProp);
	$insertFeatures = new MgInsertFeatures($layerClassName, $propertyCollection);
	$featCmdCollection = new MgFeatureCommandCollection();
	$featCmdCollection->Add($insertFeatures);
	$useTransaction = false;
	$result=$featureService->UpdateFeatures($resourceIdentifier, $featCmdCollection, $useTransaction);
	
	if ($result->GetItem(0)->GetPropertyType() == 9){
		echo "<strong>ERROR: FDO BatchUpdate returned:</strong> ". $result ->GetItem(0)->GetValue();
	} else {
		echo "ERROR: FDO BatchUpdate returned OK";
	}
 ?>
